%define major 20
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	GNU Pth - GNU Portable Threads
Name:		pth
Version:	2.0.7
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnu.org/software/pth/
Source0:	ftp://ftp.gnu.org/pub/gnu/pth/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.gnu.org/pub/gnu/pth/%{name}-%{version}.tar.gz.sig
Patch1:		%{name}-2.0.0-pth-config.in.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution ("multithreading") inside server applications.
All threads run in the same address space of the server application,
but each thread has it's own individual program-counter, run-time
stack, signal mask and errno variable.

%package -n %{libname}
Summary:	GNU Pth - GNU Portable Threads
Group:		System/Libraries

%description -n %{libname}
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution ("multithreading") inside server applications.
All threads run in the same address space of the server application,
but each thread has it's own individual program-counter, run-time
stack, signal mask and errno variable.

This package provides the main %{name} library.

%package -n %{develname}
Summary:	GNU Pth - GNU Portable Threads (Headers and Static Libs)
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 20 -d
Provides:	%mklibname %{name} 20 -d

%description -n %{develname}
Pth is a very portable POSIX/ANSI-C based library for Unix platforms.

This package provides all necessary files to develop or compile any
applications or libraries that use %{name} library.

%prep
%setup -q
%patch1 -p1 -b .cflags-ldflags

%build

%configure2_5x \
	--enable-optimize=yes \
	--enable-pthread=no
	
# (tpg)	without this parallel make fails
%make pth_p.h

%make

%check 
make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%multiarch_binaries %{buildroot}%{_bindir}/pth-config

%post -n %{libname} -p /sbin/ldconfig
%postun	-n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS PORTING README THANKS
%{_bindir}/pth-config
%multiarch %{multiarch_bindir}/pth-config
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_mandir}/man?/*


%changelog
* Thu Oct 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.7-3mdv2008.1
+ Revision: 99795
- disable pthreads this fixes bug #34868

* Wed Oct 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.7-2mdv2008.1
+ Revision: 99575
- fix parallel compiling
- drop patch 2
- fix file list
- new devel library policy
  compile with pthreads
  spec file clean


* Thu Feb 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.7-1mdv2007.0
+ Revision: 121276
- new version
- drop patch 3
- spec file clean
- Import pth

* Tue Sep 06 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.0.3-3mdk
- fix yet another abelism, continuously boring thing

* Thu Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 2.0.3-2mdk
- multiarch

* Wed Dec 22 2004 Abel Cheung <deaddog@mandrakesoft.com> 2.0.3-1mdk
- New release 2.0.3

* Fri Nov 26 2004 Abel Cheung <deaddog@mandrake.org> 2.0.2-1mdk
- New version
- Use tar.gz (for signature checking)

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 2.0.0-2mdk
- Update Patch1 to not print -L/usr/lib for $ldflags
- Patch3: Automake 1.8 compatibility (quote names properly in AC_DEFUN)
- Please use UTF-8 rather than other encoding for spec!

